Bug 1275056 - [Cinder] Copy template operation should be Blocked in case of cinder template
[Cinder] Copy template operation should be Blocked in case of cinder template
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Maor
Ori Gofen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 09:10 EDT by Ori Gofen
Modified: 2016-05-25 21:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:29:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47789 master MERGED core: Validation of copy Template disk should use image id Never
oVirt gerrit 47798 ovirt-engine-3.6 MERGED core: Validation of copy Template disk should use image id Never

  None (edit)
Description Ori Gofen 2015-10-25 09:10:54 EDT
Description of problem:
Cinder storage does not support domain migration, the operation cause the engine to get stuck until restarting the service.

Version-Release number of selected component (if applicable):
rhevm-3.6.0.2

How reproducible:
100$

Steps to Reproduce:
1.copy cinder template disk

Actual results:
the operation causes the engine to get stuck

Expected results:
should be CDA=false
Additional info:
Comment 1 Yaniv Kaul 2015-10-25 09:37:10 EDT
Ori - please fill in the whiteboard.
Comment 2 Maor 2015-10-27 11:55:00 EDT
There are no logs attached to the bug, how can you be sure that the engine got stuck?

After verifying this with REST it seems that the validation mentioned at 
https://bugzilla.redhat.com/1258932 does not validate when performing copy on Template's disks.

After fixing this issue, it seems to work well with REST (The message that should get returned is mentioned at [1])


[1]
<detail>[Cannot copy Virtual Machine Disk. Action is unsupported for the specified disk type (CINDER).]</detail>
Comment 3 Allon Mureinik 2015-10-28 09:38:55 EDT
Maor, both patches on this BZ are merged.
Are we waiting for anything else, or can it be moved to MODIFIED?
Comment 4 Yaniv Lavi (Dary) 2015-10-29 08:52:13 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 5 Ori Gofen 2015-12-20 10:09:40 EST
Verified on rhevm-3.6.1.3
Comment 6 Sandro Bonazzola 2015-12-22 08:29:09 EST
oVirt 3.6.1 has been released and bz verified, moving to closed current release

Note You need to log in before you can comment on or make changes to this bug.